Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jena
Class schemagen_orig

    java.lang.Object
      jena.schemagen_orig

    public class schemagen_orig

extends java.lang.Object

The original version of a program to read in an RDF schema and generate a corresponding Jena constant schema class. Jena now provides a new version of schemagen, with extended functionality and a different set of command line options. The previous version has been renamed schemagen_orig, so that users with scripts that depend on the behaviour of the original schemagen can still have access to it.

This program will read an RDF schema and generate the source for a Jena Vocabulary class for that schema.

    java jena.schemagen_orig name schemaURIRef input output [lang]

           name is the vocabulary name e.g. RDF or RDFS
           schemaURIRef is the URI ref for the schema being processed
           input can be a file name or a URI
           output must be a file name or '-' for standard out
           lang is the language of the input and defaults to RDF/XML.

This program will make feeble attempt to convert names to legal java names, i.e. convert '-' and '.' characters to '_' characters. The user may have to correct the output if more exotic character sequences are used, or this fixup leads to name clashes.

Version:
  $Name: $ $Revision: 1.9 $ $Date: 2008/01/02 12:08:16 $
Author:
  bwm

Constructor Summary
`schemagen_orig()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### schemagen_orig

    public schemagen_orig()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` - the command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP